#include "sys-include.h"
#include "allocaters.h"
#include "array.h"
#include "cf.h"
#include "counter.h"
#include "vsch.h"
#include "../../lib/back/query.h"
#include "everything.h"
#include "home.h"
#include "archive.h"


int debug=0;

struct everything the_histogram = { 0 } ;

main(int argc,char **argv)
{

histogram_init(argv[1], &the_histogram, (PCf *)0);

argv++; argv++;

while (*argv)
	{
	the_histogram.all_time.tag = array_tag_create();
	the_histogram.all_time.data = array_create(the_histogram.all_time.tag);

	read_histogram_file(&the_histogram.all_time,*argv, 0, (void *)0);
	printf("times:\n\t%s", ctime(&the_histogram.all_time.min_time));
	printf("\t%s\n",ctime(&the_histogram.all_time.max_time));

	print_histogram(&the_histogram.all_time, 1);
	free_histogram(&the_histogram.all_time);
	printf("\n");
	argv++;
	}
}

