/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

By Mark Sienkiewicz / NFR

*/


#include "../../lib/back/query.h"

/*
*/

struct column
	{
	query_match_t column_query;
	query_match_t primary_type_query;
	query_match_t secondary_type_query;

	int diminished;

	/*
	* offset is not really an offset - it is an address into the
	* currently loaded record.  really, we should use p + r.f[x].offset
	* instead of duplicating it here, but the code already exists...
	*/
	void *offset;
	};

struct columns
	{
	int time;
	struct column *c;	/* actually an array of struct column */
	struct vsch_record r;
	};

struct columns * load_conf(PCf);

