/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

By Mark Sienkiewicz / NFR, after a work by Mike Stolarchuk

*/

/*
** Pass in b.  If b is null, then
** we pass back null, if b is "~",
** or "~/<something>",
** then we return $NFR_HOME.  If NFR_HOME
** doesn't exist, we try HOME.  If HOME
** doesn't exist, we try ~ from passwd.
** If the entry doesn't exist in /etc/passwd,
** then return b.
*/
char * nfrHome( char * b);

/*
** nfrPath.
** 
** Pass in a path's to contatenate... the first parameter
** is the base path, which can include the '~' prefix,
** indicating home of the nfr.
**
** Return the catt-ed string, which is malloced.
** Make any of the directores
** in the path starting at the home directory.  Return
** null in failure.
** 
*/
char * nfrPath( char * s, ... );

/*
** just like nfrPath, but without the mkdir's for interior
** directories....
*/
char * nfrConcat( char * s, ... );

