/*
 * Minimal ARP structure definition, to eliminate dependence on
 * presence of BSD-style system includes.
 *
 * Mike Shaver / NFR
 */

#ifndef _NFR_ARP_H
#define _NFR_ARP_H

#include <linux/if_arp.h>

struct ether_arp {
	struct arphdr ea_hdr;
	u_char arp_sha[ETH_ALEN];
	u_char arp_spa[4];
	u_char arp_tha[ETH_ALEN];
	u_char arp_tpa[4];
};

#endif

