/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   memsafe.h
  Author: Andrew Lambeth <andrew@nfr.net>

 *****************************************************************************/

#ifndef _MEMSAFE_H_
#define _MEMSAFE_H_

#ifndef MEM_DEBUG

#define SCalloc(q,s) calloc(q,s)
#define SFree(p) free(p)
#define SExit(e) exit(e)

#else /* MEM_DEBUG */

extern int MemSafeAllocCount;

void *SCalloc(size_t, size_t);
void SFree(void *);
void SExit(int);

#endif /* MEM_DEBUG */

#endif
