#include "sys-include.h"

#include "counter.h"
#include "vsch.h"
#include "archive.h"

get_archive(Archive *f, struct vsch_buf *buf)
{
struct rec *r;
int x;
char unique_id[10];     /* bug: what if the file has a bigger unique_id? */
                        /* bug: how big is the unique id? */

archive_errno = 0;
r=archive_read(f, buf->buffer_size, buf->buffer, 0, unique_id);
if (r)
	goto ok;
if (archive_errno == 0)
	return 0;
if (archive_errno != ARCHIVE_RECDATA_BUF_SHORT)
	goto error;
if (vsch_buffer_grow(buf, archive_shortfall))
	goto error;	/* malloc failed */
archive_errno=0;
r=archive_read(f, buf->buffer_size, buf->buffer, 0, unique_id);
if (r)
	goto ok;
if (archive_errno == 0)
	return 0;

error:
	return -1 ;

ok:
	buf->buffer_offset=r->data_len;
	buf->read_point=0;
	return 1;
}

