/***************************************************************************** 
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT") 

  File:   aflush.c 
  Author: Kent Landfield <kent@nfr.net>
 
 *****************************************************************************/  
#include "sys-include.h"
#include "archive.h"

/*
*******************************************************************
** archive_flush - flush the stream to the disk 
**
** Parameters:
**      archive - pointer to type Archive returned from archive_open*()
**
** Returns:       0 - flushed, EOF - not flushed
********************************************************************
*/

int archive_flush(Archive *rkive)
{
    return(fflush(rkive->fp));
}
