/*
** Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
** All rights reserved.
**
** Use and distribution of this software and its source code
** are governed by the terms and conditions of the
** Network Flight Recorder Software License ("LICENSE.TXT")
*/

/*
** log.
**
** Just some small conveniences...
*/

#ifndef	LOG_H
#define	LOG_H

#define LOG(x)	log x
#define LOGFM   log ( ":%s:%d:", __FILE__, __LINE__ );
#define LOGV(v,x)	if (v <= vFlag) log x

#define FL	__FILE__, __LINE__

extern int vFlag;
#define VERBOSE vFlag

#ifndef TRUE
#define	TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif

int log( char * file, int line, char * fmt, ... );
int logCont( char * file, int line, char * fmt, ... );
int logOpen( char * name );
int logClose();

#endif	/* LOG_H */
