# Scopes tests.  Uses test-nfrd to load multiple scopes, then tests scopes/scope builtins
# y.1
#
RM=${RM:-/bin/rm -f}

#
# scope test.
# run ./test-nfrd with some specific parameters.
# those parameters will cause specific scopes to be
# created.  have .nfr code check to make sure each
# of the scopes exist.
# 
#

echo "`date '+[%D %T]'` regress: y.1.sh: test scopes builtin "

result=`../test-nfrd -s first y.1a.nfr -s second y.1a.nfr -s third y.1a.nfr -s test y.1b.nfr`
code=$?
echo "`date '+[%D %T]'` regress: y.1.sh: Code $code: $result test scopes builtin "

if [ $result = "success" ] ; then
	exit 0;
fi

exit 1
