/***************************************************************************** 
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT") 

  File:   report.c 
  Author: Kent Landfield <kent@nfr.net>
 
 *****************************************************************************/ 

#include "sys-include.h"

FILE *stream;

/* Stream is a FILE * that changes throughout the program if necessary.
** When a new output file (stream) is opened, stream is set to point to
** that so this routine can be used without passing the stream.
*/

void report(char *format, ... )    /* report (format,arg1,arg2,....argn) */
{
    va_list ap;

    va_start(ap, format);

    (void)vfprintf(stream,format,ap);

    va_end(ap);
}

