/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

*/

package graph;



import java.awt.*;
import java.net.URL;

//  A special-purpose class that a viewer can derive from that
//  can be used to construct a stand-alone application instead
//  of an applet, with minimal rearranging of the inheritance hierarchy.

//  basically, if the application is set up to derive from NFRApplet instead
//  of Applet, it will find its document base in a fixed location  (NOTE: 
//  this value will be wrong for many systems, and needs to be derived from
//  current working directory or some configuration value); and, it will
//  get null values for parameters  (NOTE: the args that are passed into 
//  the constructor should be used to make a vector that can be queried
//  by "getParameter")

//  there is an example class, "View" (good name, huh?) that instanciates 
//  either a bar graph, scatter plot, or pie viewer from this hierarchy.
//  if (wistful for ifdefs... who would believe it) java had ifdef's, 
//  these programs could be set up to compile either way... 

class NFRApplet extends Panel {

  String args[];

  NFRApplet(String args[]) {
    this.args = args;
  }

  NFRApplet() {
  }

  public URL getDocumentBase() 
  throws java.net.MalformedURLException {
    return new URL("file://localhost/inetpub/wwwroot/NFR/");
  }

  public String getParameter(String paramname) {
    return null;
  }

}
