/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

*/

package graph;



import java.awt.*;

//  Scatter Plot data: each datum has a value, a percent size, 
//  and a color for the circle to be drawn

public class SPData {

  private long value;
  private int percent;
  private Color color;

  public SPData(long value, int percent, Color color) {
    this.value = value;
    this.percent = percent;
    this.color = color;
  }

  public long getValue() {
    return value;
  }

  public int getPercent() {
    return percent;
  }

  public Color getColor() {
    return color;
  }
}
