//  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
//  All rights reserved.
//
//  Use and distribution of this software and its source code
//  are governed by the terms and conditions of the
//  Network Flight Recorder Software License ("LICENSE.TXT")
//


package nfr.misc;

import java.applet.*;
import java.awt.*;
import java.util.*;

public class NFRInfo
{
  public static Applet ThisApplet = null;
  public static AppletContext applet_context;

  public static Window top = null;
  public static ThreadGroup threads = null;
  public static Thread MainThread;
  public static java.net.URL document_base;

// eventually default_font will go away to be replaced by font

  public static java.awt.Font default_font;
  public static java.awt.FontMetrics default_font_metrics;
  public static Font font;
  public static Font big_font;
  public static Font med_font;
  public static Font small_font;

  public static String nfr_resource_file_name = "etc/resources/nfr_res.src";
  public static String usr_resource_file_name = "etc/resources/usr_res.src";
  public static String fac_resource_file_name = "etc/resources/fac_res.src";

  public static void setup(Applet a) {
	ThisApplet = a;
	applet_context = ThisApplet.getAppletContext();
	document_base = ThisApplet.getDocumentBase();
	default_font = ThisApplet.getFont();
	default_font_metrics = ThisApplet.getFontMetrics(default_font);
	font = big_font = med_font = small_font = a.getFont();
	MainThread = Thread.currentThread();
	}

  public static void do_style(Component c) {
	c.setForeground(Color.black);
	c.setBackground(Color.lightGray);
	}

  public static BarMeter dancyThing = null;
}
