//  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
//  All rights reserved.
//
//  Use and distribution of this software and its source code
//  are governed by the terms and conditions of the
//  Network Flight Recorder Software License ("LICENSE.TXT")
//


package nfr.misc;

import java.awt.*;

public class absolute_time extends Panel {
	TextField t;
	boolean defined = false;
	String undef;
	repTile r;

	public absolute_time ( boolean editable, int
		min_resolution, String undefined)
	{
		r = new repTile();
		setLayout(r);

		Label l = new Label("<time>");
		add(l);
		r.setConstraints(0,0,0,0,"",l);

		t = new TextField(20);
		add(t);
		r.setConstraints(0,1,0,1,"",t);
		undef = undefined;
		t.setText(undef);
	}

	public void set_value(int time) 
	{
		t.setText(""+time);
		defined=true;
	}

	public void set_value(String time)
	{
		try {
			set_value(Integer.parseInt(time));
		} catch (NumberFormatException e) {
			defined=false;
			t.setText(undef);
		}
	}

	public void undefine()
	{
		defined=false;
		t.setText(undef);
	}

	public int get_value() 
	{
		try {
			return Integer.parseInt(t.getText());
		} catch (NumberFormatException e) {
			defined=false;
			t.setText(undef);
			return 0;
		}
	}

	public boolean value_defined()
	{
		int x = get_value();
		return defined;
	}
}

