/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

*/


package nfr.misc;

import java.awt.*;

/*
* a popup window that displays a message. hit the bummer button to make 
* it go away.
*/

public class popup_bummer extends Frame {
	Button bummer;

	public popup_bummer(String message, String button_label) {
		Dimension df;
		repTile f = new repTile();

		setLayout(f);

		TextArea a = new TextArea(message);
		add(a);
		f.setConstraints(0,0,0,1,"",a);

		bummer = new Button(button_label);
		add(bummer);
		f.setConstraints(1,0,1,0,"",bummer);

		f.setStretchy(0,1);

		resize(500,300);
		show();
		
		// bug: netscape 3.02 on windoze crashes with the
		// following two lines in place:
		invalidate();
		validate();
	}

	public boolean action(Event e, Object o) {
		if (e.target == bummer)
			{
			this.dispose();
			return true;
			}
		return false;
	}
}

