/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   ResConsts.java
  Author: Andrew Lambeth <andrew@nfr.net>

 *****************************************************************************/

package nfr.rc;

public interface ResConsts
{
  static final int SEV_NONE = 0;
  static final int SEV_INFO = 1;
  static final int SEV_WARNING = 2;
  static final int SEV_ERROR = 3;

  static final int ID_FAC = 1;
  static final int ID_SEV = 2;
  static final int RES_RANGE = 3;
  static final int RES_ALERT = 4;
  static final int RES_ALERT_SRC = 5;
  static final int RES_STRING = 6;

  static final int RESID_STATE_STABLE = 1;
  static final int RESID_STATE_ADDED = 2;
  static final int RESID_STATE_DELETED = 3;
  static final int RESID_STATE_ALTERED = 4;

  static final String[] FIXED_FAC_ARRAY = { "NFR_FAC_CONSOLE", 
					    "NFR_FAC_NFRLOG", 
					    "NFR_FAC_ACK", 
					    "NFR_FAC_TRACE", 
					    "NFR_FAC_SYSLOG"  };

}

