/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

By Mark Sienkiewicz / NFR

*/

#include "sys-include.h"
#include "cf.h"
#include "counter.h"
#include "vsch.h"
#include "list.h"

struct columns *
load_conf(PCf conf)
{
int x;
char *s;
struct columns *result;

result = malloc(sizeof(struct columns));
if (!result)
	nomem();

load_vsch_record(&result->r, conf);

result->c = calloc(result->r.num_fields, sizeof(struct column));
if (!result->c)
	{
	fprintf(stderr,"nomem\n");
	exit(1);
	}

return result;
}

