/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   cfmerge.c
  Author: Andrew Lambeth <andrew@nfr.net>

 *****************************************************************************/

#include "sys-include.h"

#define DEBUG_LEV 1

#include "cgiutils.h"
#include "libnfr.h"

int main(int argc, char **argv)
{
  PCf QueryFields = NULL;
  char *CfName = NULL;
  int fd;

  puts("Content-type: text/html\n\n");
  CgiGoHome();

  CGI_DEBUGGER();

  QueryFields = Cf_New(0);
  Cgi_QueryToCf(QueryFields);
  CfName = Cf_TakeVal("cf_name", QueryFields);

   /* butt-ugly: first make sure that the file is there */
  fd = open(CfName, O_WRONLY | O_CREAT, 0600);
  close(fd);

  /* now write the new values to the cf file */
  Cf_Merge(CfName, QueryFields);

  SFree(CfName);
  Cf_Delete(QueryFields);
  SExit(0);
}
