/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   libnfr_err.h
  Author: Andrew Lambeth <andrew@nfr.net>

 *****************************************************************************/

#ifndef LIBNFR_ERR_H_
#define LIBNFR_ERR_H_

enum
{
  LIBNFR_ERR_SUCCESS,
  LIBNFR_ERR_UNDEFINED,
  LIBNFR_ERR_RESFILE_FULL,
  LIBNFR_ERR_RESFILE_BADINDEX,
  LIBNFR_ERR_FNOEXIST,
  LIBNFR_ERR_EOF,
  LIBNFR_ERR_AGAIN,
  LIBNFR_ERR_TIMEOUT
};

#endif
