/*
*        Copyright(C) 1997 Network Flight Recorder, Inc. 
*        All rights reserved. 
* 
*        Use and distribution of this software and its source code 
*        are governed by the terms and conditions of the 
*        Network Flight Recorder Software License ("LICENSE.TXT") 
* 
*By Mark Sienkiewicz / NFR 
* 
*/ 


#include "counter.h"
#include "vsch.h"

typedef struct query_match *query_match_t;


query_match_t query_compile(int type, char *string);

int query_compare(query_match_t n, void *d, int type, int size );

int query_free(query_match_t n);

enum vsch_type
query_expand_type(char *primary,char **secondary);


struct query_types
	{
	char *name;
	enum vsch_type type;
	int time_magic;
	};

extern struct query_types *query_primary_types, *query_secondary_types;

void query_load_types (void);


union query_private_yystype
	{
#include "query_union.h"
	};

