/*
        Copyright(C) 1997 Network Flight Recorder, Inc.
        All rights reserved.

        Use and distribution of this software and its source code
        are governed by the terms and conditions of the
        Network Flight Recorder Software License ("LICENSE.TXT")

By Mark Sienkiewicz / NFR

*/

#include "sys-include.h"
#include "opts.h"

#include "counter.h"
 
counter
counter_add( counter a, counter b )
{
return a + b;
}

counter
counter_sub( counter a, counter b )
{
return a - b;
}

counter
counter_mul(counter x, counter y)
{
return x * y;
}

counter
counter_div(counter x, counter y)
{
return x / y;
}

counter
counter_mod(counter x, counter y)
{
return x % y;
}
 
counter
counter_atoi( char * s) 
{
counter a;
if (sscanf(s,"%lld",&a))
	return a;
else
	return 0;
}

void counter_itoa(char *s, counter c)
{
sprintf(s,"%lld",c);
}

counter
counter_from_int(int x)
{
counter a;
a=x;
return a;
}

int
counter_to_int(counter x)
{
int y;
y=x;	/* possible loss of data */
return y;
}

int
counter_cmp(counter x, counter y)
{
counter c;
c=x - y;
if (c < 0)
	return -1;
else if (c > 0)
	return 1;
else
	return 0;
}
