/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   globals.c
  Author: Andrew Lambeth <andrew@nfr.net>

 *****************************************************************************/
#include "sys-include.h"

/* #define DEBUG_LEV 1 */
#include "debug.h"

#include "libnfr.h"
#include "rc.h"

#include "ytab.h"


/* Globals */
ULONG gMode = 0;
ULONG gVerbosity = 0;
ULONG gCurLineNo = 1;
char *gpCurFilename = NULL;
ULONG gUnrangedIdNo = 0;
char *gCurRangeId = NULL;
PResTab gpResTab = NULL;
PResTab gpDiffTab = NULL;
PNIList gpMemList = NULL;
ULONG gErrors = 0;
ULONG gWarnings = 0;
BOOL gFatLadySing = FALSE;
BOOL gFixedResFlag = TRUE;
FILE *gMergeTarget = NULL;
/***
  these two live in parse.c
  PSymbol gFacCodeSyms[FAC_CODES_MAXSIZE];
  PSymbol gSevCodeSyms[4];
***/

