/***************************************************************************** 
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT") 

  File:   aerrlst.c 
  Author: Kent Landfield <kent@nfr.net>
 
 *****************************************************************************/  
char *archive_errlist[] = {
    "No Error",                                 /*  0 - NO_ERRS             */
    "Cannot allocate memory",                   /*  1 - NO_MEMORY           */
    "Configuration file read error",            /*  2 - CONFIG_READ_FAILED  */
    "Invalid ROLLOVER_SIZE indicator",          /*  3 - BADROLLSIZE         */
    "Invalid ROLLOVER_SIZE value",              /*  4 - BADROLLSIZEVAL      */
    "Invalid ROLLOVER_TIME indicator",          /*  5 - BADROLLTIME         */
    "Invalid ROLLOVER_TIME value",              /*  6 - BADROLLTIMEVAL      */
    "Invalid path format specification",        /*  7 - BAD_PATH_FORMAT     */
    "CFVERSION variable missing",               /*  8 - MISSING_CF_VERSION  */
    "ARCHIVE_PATH variable missing",            /*  9 - MISSING_ARCHIVE_PATH*/
    "ROLLOVER_SIZE variable missing",           /* 10 - MISSINGROLLSIZE     */
    "ROLLOVER_SIZE_VAL variable missing",       /* 11 - MISSINGROLLSIZEVAL  */
    "ROLLOVER_SIZE variable missing",           /* 12 - MISSINGROLLTIME     */
    "ROLLOVER_SIZE_VAL variable missing",       /* 13 - MISSINGROLLTIME_VAL */
    "Cant make directory",                      /* 14 - CANT_MKDIR          */
    "Archive open failed",                      /* 15 - CANT_OPEN_ARCHIVE   */
    "Index open failed",                        /* 16 - CANT_OPEN_INDEX     */
    "stat failed",                              /* 17 - CANT_STAT           */
    "archive file close failed",                /* 18 - CANT_CLOSE_ARCHIVE  */
    "index file close failed",                  /* 19 - CANT_CLOSE_INDEX    */
    "Seek failed",                              /* 20 - CANT_SEEK           */
    "File header read failed ",                 /* 21 - HEADER_READFAILED   */
    "Recorder information read failed",         /* 22 - BLOB_READFAILED     */
    "File header write failed",                 /* 23 - HEADER_WRITEFAILED  */
    "Recorder information write failed",        /* 24 - BLOB_WRITEFAILED    */
    "Index write failed",                       /* 25 - INDEX_WRITEFAILED   */
    "Index read failed",                        /* 26 - INDEX_READFAILED    */
    "No records found in starttime requested",  /* 27 - NO_STARTTIME_MATCH  */
    "No record matches content type requested", /* 28 - NO_STARTTIME_MATCH  */
    "Record header write error",                /* 29 - RECHDR_WRITE_ERR    */
    "Record id write error",                    /* 30 - RECID_WRITE_ERR     */
    "Record data write error",                  /* 31 - RECDATA_WRITE_ERR   */
    "Record header read error",                 /* 32 - RECHDR_READ_ERR     */
    "Record id read error",                     /* 33 - RECID_READ_ERR      */
    "Record data read error",                   /* 34 - RECDATA_READ_ERR    */
    "Record receive buffer too small",          /* 35 - RECDATA_BUF_SHORT   */
};
int archive_errno;
int archive_nerr = { sizeof archive_errlist/sizeof archive_errlist[0] };
