/*
** Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
** All rights reserved.
**
** Use and distribution of this software and its source code
** are governed by the terms and conditions of the
** Network Flight Recorder Software License ("LICENSE.TXT")
*/

#include	<stdio.h>

#include	"nfrd.h"

/* return numerical error */
void
nfr_blt_errno(Machine *m,int argc,int firstarg,int result)
{
	if(argc < 1 || m->m_mem[firstarg].typ != NFR_TYPE_ERR)
		m->m_mem[result].val.i = NFR_ERR_NONE;
	else
	m->m_mem[result].val.i = m->m_mem[firstarg].val.i;
	m->m_mem[result].typ = NFR_TYPE_INT;
}



/* return string error */
void
nfr_blt_strerror(Machine *m,int argc,int firstarg,int result)
{
	if(argc < 1 || m->m_mem[firstarg].typ != NFR_TYPE_ERR)
		m->m_mem[result].val.c = "no error";
	else
	m->m_mem[result].val.c = util_err2str(m->m_mem[firstarg].val.i);
	m->m_mem[result].typ = NFR_TYPE_STR;
}
