/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT") 

 *****************************************************************************/ 

#include "sys-include.h"

char *itoa(n)
int n;
{
    static char str[20];

    int i, c, j, sign;
        
    if ((sign = n) < 0) 
        n = -n;

    i = 0;
    do {
        str[i++] = n % 10 + '0';
    } while ((n /= 10) > 0);

    if (sign < 0)
        str[i++] = '-';
    str[i] = '\0';

    for (i = 0, j = strlen(str)-1; i < j; i++,j--) {
        c = str[i];
        str[i] = str[j];
        str[j] = c;
    }
    return(str);
}

