/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   BackendStruct.java
  Author: Eric Wall (eric@nfr.net)

 *****************************************************************************/

// This class is to serve a struct to hold information about a particular
// package while it is being used bye the PackagePanel.class

public class BackendStruct {

  public String packageName;
  public String name;
  public String description;
  public String guiType;
  public int listIndex;

  public String toString() {
    return( packageName + "/" + name + "(" + description + ")" +
	    "(" + guiType + ")" + "(" + listIndex + ")" );
  }
  
  public static void main(String[] args) {
    System.out.println("Backend.class");
  }
}
