/*****************************************************************************
  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
  All rights reserved.

  Use and distribution of this software and its source code
  are governed by the terms and conditions of the
  Network Flight Recorder Software License ("LICENSE.TXT")


  File:   ProgressThing.java
  Author: Andrew Lambeth <andrew@nfr.net>

 *****************************************************************************/

package nfr.misc;

public interface ProgressThing
{

public void setMSBS(boolean b);

public void set_max(int i);

public void set_value(int i);

public void set_percentage(int i);

public int get_max();

public int get_value();

public int get_percentage();

public void idle();

public void progress();

public void progress(int i);

public void unprogress();

public void unprogress(int i);

public void stall();

public void reset();

public void complete();

public void startDancing();

public void stopDancing();

}
