//  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
//  All rights reserved.
//
//  Use and distribution of this software and its source code
//  are governed by the terms and conditions of the
//  Network Flight Recorder Software License ("LICENSE.TXT")
//


package nfr.misc;

import java.io.*;
import java.net.*;

public class cgi_post {

public static DataInputStream 
	post ( URL docbase, String cgi_prog, String args )
	throws IOException
	{
		URL u = new URL ( docbase, "/cgi-bin/"+cgi_prog );
		URLConnection c = u.openConnection();
		c.setDoOutput(true);
		DataOutputStream Out = 
			new DataOutputStream(c.getOutputStream());
		Out.writeBytes(args + "\r\n\r\n");
		return new DataInputStream(c.getInputStream());
	}

public static DataInputStream 
	get ( URL docbase, String cgi_prog, String args )
	throws IOException
	{
		URL u = new URL ( docbase, "/cgi-bin/"+cgi_prog +
			"?" + args);
		URLConnection c = u.openConnection();
		return new DataInputStream(c.getInputStream());
	}

}
