//  Copyright(C) 1996, 1997 Network Flight Recorder, Inc.
//  All rights reserved.
//
//  Use and distribution of this software and its source code
//  are governed by the terms and conditions of the
//  Network Flight Recorder Software License ("LICENSE.TXT")
//


package nfr.misc;

import java.awt.*;

public class interval_time extends Panel {
	TextField t;

	public interval_time ( boolean editable, int
		min_resolution, int max_resolution )
	{
		setLayout(new FlowLayout());
		add(new Label("i"));
		t = new TextField(20);
		add(t);
	}

	public void set_value(int time) 
	{
		t.setText(""+time);
	}

	public void set_value(String time)
	{
		try {
			set_value(Integer.parseInt(time));
		} catch (NumberFormatException e) {
			set_value(0);
		}
	}

	public int get_value() 
	{
		try {
			return Integer.parseInt(t.getText());
		} catch (NumberFormatException e) {
			return 0;
		}
	}

}

